//
//  SearchSeriesListView.swift
//  SodaLive
//
//  Created by klaus on 3/27/25.
//

import SwiftUI

struct SearchSeriesListView: View {
    
    let itemsList: [SearchResponseItem]
    
    var body: some View {
        ScrollView(.vertical, showsIndicators: false) {
            VStack(spacing: 13.3) {
                ForEach(0..<itemsList.count, id: \.self) {
                    SearchSeriesItemView(item: itemsList[$0])
                }
            }
            .padding(.horizontal, 13.3)
        }
    }
}

#Preview {
    SearchSeriesListView(
        itemsList: [
            SearchResponseItem(
                id: 1,
                imageUrl: "https://test-cf.sodalive.net/profile/default-profile.png",
                title: "Title1",
                nickname: "Tester1",
                type: .SERIES
            ),
            SearchResponseItem(
                id: 2,
                imageUrl: "https://test-cf.sodalive.net/profile/default-profile.png",
                title: "Title2",
                nickname: "Tester2",
                type: .SERIES
            )
        ])
}
